
Redmine - Defect #18629

PDF Export removes separating space after tables

2014-12-12 19:48 - @ go2null

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

With the switch to the new PDF gem, the space after tables are removed resulting in the element after a table displaying immediately

under the table.

Please see attached screenshots.

1. html.png: this is what is displayed on the issue view.

2. rbpdf.png: This is what is generated by the new pdf parser.

3. rbpdf-no-remove-trailing-multiple-spaces.png: with the following change

# /usr/lib/ruby/gems/1.9.1/gems/rbpdf-1.18.2/lib/rbpdf.rb

-10667   html.gsub!(/<\/(table|tr|td|th|blockquote|dd|dl|div|dt|h1|h2|h3|h4|h5|h6|hr|li|ol|ul|

p)>[\s]+</, '</\\1><')

+10667   html.gsub!(/<\/(tr|td|th|blockquote|dd|dl|div|dt|h1|h2|h3|h4|h5|h6|hr|li|ol|ul|p)>[\s

]+</, '</\\1><')

4. pdf-export-with-p-element.png: with the following change

# lib/redmine/export/pdf.rb

+65   html.gsub!(/<\/table>/,'</table><p></p>')

Associated revisions

Revision 13870 - 2015-01-11 05:19 - Toshi MARUYAMA

Gemfile: update rbpdf version to 1.18.4 (#18629)

Revision 13871 - 2015-01-11 05:22 - Toshi MARUYAMA

Merged r13870 from trunk to 2.6-stable (#18629)

Gemfile: update rbpdf version to 1.18.4.

History

#1 - 2014-12-18 00:11 - Jun NAITOH

- File rbpdf-1.18.3.png added

This problem already fixed by rbpdf 1.8.3.

please bundle update

bundle update rbpdf
#2 - 2015-01-11 05:19 - Toshi MARUYAMA

- Target version set to 2.6.1

#3 - 2015-01-11 05:24 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Explicitly updated rbpdf version to 1.18.4 in trunk r13870 and 2.6-stable r13871, thanks.
